
<?php 
	error_reporting(E_ALL);
	ini_set('display_errors', 1);
	if(isset($eltoken))
		$token = $eltoken;
	if (isset($_GET['c'])){
		$clave = $_GET['c'];	
		$token = $_GET['t'];	
	}

//	if(Isset($_GET['bdt'])){
		require('../conexion.php');
		require('fe_consultasbd.php');
		
			$ahora = strtotime(date('Y-m-d H:i:s'));	
	$bdHora = $resultadoToken['refresh_token_limit'];
		
	if((int)$ahora < (int)($bdHora)){		
		$eltoken = $resultadoToken['access_token'];		
	}else{
	$eltoken = $resultadoToken['access_token'];				
	}
		
		
		$token = $resultadoToken['access_token'];
		$clave = $facturas['cdgclave'];
		$idFactura = $_GET['f'];
//	}
	
		


	$curl = curl_init();

	curl_setopt_array($curl, array(
	  CURLOPT_URL => $parametros['uriRecepcion'].$clave,
	  CURLOPT_RETURNTRANSFER => true,
	  CURLOPT_ENCODING => "",
	  CURLOPT_MAXREDIRS => 10,
	  CURLOPT_TIMEOUT => 30,
	  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
	  CURLOPT_CUSTOMREQUEST => "GET",
	  CURLOPT_HTTPHEADER => array(
		"Authorization: Bearer ". $token,
		"Cache-Control: no-cache",
		"Content-Type: application/x-www-form-urlencoded",
		"Postman-Token: bf8dc171-5bb7-fa54-7416-56c5cda9bf5c"
	  ),
	));

	curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
	curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);

	$response = curl_exec($curl);
	$err = curl_error($curl);

	curl_close($curl);
	echo $codigo = $facturas['estadoComprobanteIntegracion'];
	echo $mensajeDetalle = $facturas['mensajeHacienda'];
	
	if ($err) {
	  $mensajeDetalle = $err;
	} else {
			
			$responseT = json_decode($response);		
			$array = get_object_vars($responseT);
			
			if(isset($_GET['debug']))
				print_r($array);
			
			if(isset($array['respuesta-xml'])){
				$mensaje = base64_decode($array['respuesta-xml']);
				file_put_contents("crt/mensajes/mns-".$responseT->clave.".xml", $mensaje);
				$xml = new SimpleXMLElement($mensaje);				
				$mensajeDetalle = str_replace("'", '', $xml->DetalleMensaje); ;
				$mensajeDetalle = utf8_decode($mensajeDetalle);
				$mensajeDetalle = str_replace("'",'',$mensajeDetalle);
				if($xml->Mensaje != 1)
					$mensajeDetalle = str_replace('Este comprobante fue aceptado en el ambiente de pruebas, por lo cual no tiene validez para fines tributarios','',$mensajeDetalle);
				$codigo = $xml->Mensaje;
				
			}else{
				$mensajeDetalle = 'No hay respuesta de la DGT, verifique el token<br>';
			}			
		}
		
	$consultaDatosfacturas = "UPDATE facturas SET estadoComprobanteIntegracion = $codigo, mensajeHacienda = '$mensajeDetalle' WHERE      codfactura=$idFactura";
						
	$mysqli->query($consultaDatosfacturas);
	
	
	if(isset($_GET['debug'])){
		echo $consultaDatosfacturas.'<br>';
	
	}
	ob_start();
	
		
		ob_end_flush();
		
		echo "<script languaje='javascript' type='text/javascript'>window.close();</script>";
		 ?>		